ALSA project - the C library reference

Loading...
Searching...
No Matches
Data Fields
snd_tplg_channel_elem Struct Reference
Topology Interface

Template type for single channel mapping. More...

`#include <topology.h>`

## Data Fields
int | size
int | reg
int | shift
int | id

## Detailed Description

Template type for single channel mapping.

## Field Documentation

## ◆ id

int snd_tplg_channel_elem::id

ID maps to Left, Right, LFE etc

## ◆ reg

int snd_tplg_channel_elem::reg

channel control register

## ◆ shift

int snd_tplg_channel_elem::shift

channel shift for control bits

## ◆ size

int snd_tplg_channel_elem::size

size in bytes of this structure

The documentation for this struct was generated from the following file:

- /packaging/alsa-lib/include/topology.h